#version 130

uniform sampler2D texture0;
uniform float alpha;

in vec4 color;
in  vec2 texCoord;
out vec4 outColor;

void main(void) {
	outColor = color*texture(texture0, texCoord.st);
	outColor.a *= alpha;
	//if(outColor.a < 0.3)
	//	discard;
}
