#version 130

uniform vec3 pos;
uniform vec3 scale;

in vec3 inVertex;
in vec2 inTexCoord;
in vec3 inColor;
in vec3 inNormal;
out vec3 color;
out vec2 texCoord;

void main(void) 
{
	gl_Position = (vec4(scale, 1.0) * vec4(inVertex, 1.0)) + vec4(pos, 0.0);
	texCoord = inTexCoord;
	color = inColor;
}
